geneRankStability.BigBang {galgo} | R Documentation

## Computes the rank history for top-ranked genes

### Description

Computes the rank history for top-ranked genes.

### Usage

    ## S3 method for class 'BigBang'
    geneRankStability(o,
    	filter="none",
    	subset=TRUE,
    	gene.names=TRUE,
    	lastSolutionFirst=TRUE,
    	...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable). If it is a numeric vector length one, a positive value means take those top chromosomes sorted by fitness, a negative value take those at bottom.
`gene.names` | `TRUE` for naming the result with the stored `$geneNames` in oject `BigBang`. Other character to name-specific.
`lastSolutionFirst` | Order of the results. `TRUE` the las solutions is given in the first column.

### Value

A matrix which genes are fit in rows and solutions in columns.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

       #bb is a BigBang object
       ## Not run:
       geneRankStability(bb)

    ## End(Not run)

[Package galgo version 1.4 Index]